Try LXLE it's Lubuntu long term support.
you can get a copy here.